## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-08-12
version: "2.1"
services:
  gotify:
    image: gotify/server
    container_name: gotify
    labels:
      - "autoheal=true" # Voir autoheal pour relance automatique de container instable
      - com.centurylinklabs.watchtower.enable=true # Le label ci-dessous permet à Watchtower de faire les mises à jour automatiquement
    ports:
      - 2222:80 # Choisir un port (de gauche) de connexion libre sur votre machine, ce sera le port de connexion
    environment:
      - GOTIFY_DEFAULTUSER_PASS=custom
      - GOTIFY_DATABASE_DIALECT=sqlite3
      - GOTIFY_DATABASE_CONNECTION=data/gotify.db
      - GOTIFY_DEFAULTUSER_NAME=admin
      - GOTIFY_DEFAULTUSER_PASS=admin
      - GOTIFY_PASSSTRENGTH=10
      - GOTIFY_UPLOADEDIMAGESDIR=data/images
      - GOTIFY_PLUGINSDIR=data/plugins
    volumes:
      - /volume1/docker/gotify/data:/app/data # chemin des fichiers de config de Gotify
